Skip to main content
`Ctrl`+`K`

# MatFDColoringDestroy

Destroys a matrix coloring context that was created via `MatFDColoringCreate()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringDestroy(MatFDColoring *c)

Collective

## Input Parameter

- c - coloring context

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringCreate()`

## Level

intermediate

## Location

src/mat/matfd/fdmatrix.c

## Examples

src/mat/tutorials/ex16.c
src/tao/unconstrained/tutorials/minsurf2.c
src/snes/tutorials/ex14.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages